> For the complete documentation index, see [llms.txt](https://docs.devolutions.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.devolutions.net/powershell/de/powershell-commands/get-rdmprivilegedaccount.md).

# Get-RDMPrivilegedAccount

### Kurzbeschreibung

Ruft die Verbindung ab, die 'My Privileged Account' darstellt.

### Syntax

#### \_\_AllParameterSets

```
Get-RDMPrivilegedAccount [-ForcePromptAnswer <DialogResult[]>] [<CommonParameters>]
```

### Beschreibung

Ruft die Verbindung ab, die 'My Privileged Account' darstellt. Alle relevanten Informationen befinden sich in der Eigenschaft Credentials. Unter Windows verhindert die Richtlinie DisableMyPrivilegedAccount die Verwendung dieses Cmdlets.

### Beispiele

#### Beispiel 1

```powershell
PS C:\> $privAcc = Get-RDMPrivilegedAccount
```

Speichert das privilegierte Konto in der Variablen $privAcc. Greifen Sie auf die gewünschten Werte in $privAcc.Credentials zu.

#### Beispiel 2

```powershell
PS C:\> $privAcc = Get-RDMPrivilegedAccount; $privAcc.Credentials.SecretServerPassword = (ConvertTo-SecureString -AsPlainText 'aPassword'); $privAcc.Credentials.SecretServerUsername = 'aPassword'; $privAcc.Credentials.SecretServerDomain = 'aDomain'; Set-RDMPrivilegedAccount -Session $privAcc
```

Ruft das privilegierte Konto ab. Ändert die Werte für Domäne, Passwort und Benutzername des Secret Servers. Speichert die Änderungen. Die Passwortänderung ist an der Wertänderung des Felds SafeSecretServerPassword zu erkennen.

### Parameter

#### -ForcePromptAnswer

Mit Vorsicht zu verwendender Schalter. Er beantwortet automatisch Eingabeaufforderungen mit Ja/Nein-, Ja/Nein/Abbrechen- oder OK/Abbrechen-Fragen. Bei mehreren Eingabeaufforderungen können mehrere Werte an diesen Parameter übergeben werden. Hier sind die zulässigen Werte:

* Yes: Bestätigt die Eingabeaufforderung. Deckt die Werte OK und Automatic ab.
* No: Lehnt die Ja/Nein/Abbrechen-Eingabeaufforderung ab. "Cancel" ist die Ersatzoption, wenn es keine Option "No" gibt.
* Cancel: Bricht die Ja/Nein/Abbrechen-Eingabeaufforderung ab. "No" ist die Ersatzoption, wenn es keine Option "Cancel" gibt.

```yaml
Type: System.Windows.Forms.DialogResult[]
DefaultValue: ''
SupportsWildcards: false
Aliases: []
ParameterSets:
- Name: (All)
  Position: Named
  IsRequired: false
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### CommonParameters

Dieses Cmdlet unterstützt die allgemeinen Parameter: -Debug, -ErrorAction, -ErrorVariable, -InformationAction, -InformationVariable, -OutBuffer, -OutVariable, -PipelineVariable, -ProgressAction, -Verbose, -WarningAction und -WarningVariable. Weitere Informationen finden Sie unter [about\_CommonParameters](https://go.microsoft.com/fwlink/?LinkID=113216).

### Hinweise

Für weitere Informationen geben Sie "Get-Help Get-RDMPrivilegedAccount -detailed" ein. Für technische Informationen geben Sie "Get-Help Get-RDMPrivilegedAccount -full" ein.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.devolutions.net/powershell/de/powershell-commands/get-rdmprivilegedaccount.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
